#!/bin/bash
BASE_PATH=(Reemplaza por la ruta de tus archivos de configuracion sin parentesis)
CONF="$BASE_PATH/postfix_conf.txt"
POSTFIX_CONF=/etc/postfix/main.cf
DEPENDENCIAS=(postfix cyrus-sasl-plain mailx)
ACCESO_POSTFIX=/etc/postfix/sasl_passwd
ACCESO="$BASE_PATH/postfix_access.txt"
DESTINATARIO=(Reemplaza por el correo al cual quieres enviar la prueba de operacion del servicio de correo sin parentesis)
for i in  ${DEPENDENCIAS[*]}
do
  INSTALADO=$(rpm -q $i)
  if [ "$INSTALADO" == "package $i is not installed" ];
  then
    echo "$i no está instalado"
    yum install $i -y
  fi
  if [ "$INSTALADO" == "package $i is not installed" ]
  then
    echo "El script no puede continuar. Paquete $i faltante."
    exit 1
  fi
done
systemctl restart postfix
systemctl enable postfix
if [ -f "$CONF" ]
then
  cat $CONF >> /etc/postfix/main.cf
  touch $ACCESO_POSTFIX
  if [ -f "$ACCESO" ]
  then
    cat $ACCESO > $ACCESO_POSTFIX
    postmap $ACCESO_POSTFIX
    chown root:postfix $ACCESO_POSTFIX*
    chmod 640 $ACCESO_POSTFIX*
    systemctl reload postfix
    echo "Este es un mensaje de pruebas para confirmar que el servicio está operando" | mail -s "Mensaje de pruebas" $DESTINATARIO
  else
    echo "$ACCESO no se encuentra. El script no puede continuar"
    exit 1
  fi
else
  echo "$CONF no se encuentra. El script no puede continuar"
  exit 1
fi
